Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.net.http
Class Handler

    java.lang.Object
      |
      +--java.net.URLStreamHandler
            |
            +--weblogic.net.http.Handler

public class Handler
extends java.net.URLStreamHandler

Opens an http input stream given a URL. See the way protocol handlers are found in the java.net.URL class for details.

Constructor Summary
`Handler()`

Method Summary
`static void` | `init()`
`protected java.net.URLConnection` | `openConnection(java.net.URL u)`
`protected java.lang.String` | `toExternalForm(java.net.URL u)` Overriding this method from javaq.net.URLStreamHandler so that we dont print the username:password from the part of the url.

Methods inherited from class java.net.URLStreamHandler
`equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, parseURL, sameFile, setURL, setURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Handler

    public Handler()

Method Detail

### openConnection

    protected java.net.URLConnection openConnection(java.net.URL u)
                                             throws java.io.IOException

  Overrides:
    openConnection in class java.net.URLStreamHandler

### init

    public static void init()

### toExternalForm

    protected java.lang.String toExternalForm(java.net.URL u)

  Overriding this method from javaq.net.URLStreamHandler so that we dont print the username:password from the part of the url. http://[@]host[:port]/?query#ref will be printed as http://host[:port]/?query#ref

  Overrides:
    toExternalForm in class java.net.URLStreamHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference